Bug 402710 - UI is broken after killing the application in canvas-only mode
Summary: UI is broken after killing the application in canvas-only mode
Status: RESOLVED FIXED
Alias: None
Product: krita
Classification: Unclassified
Component: General (show other bugs)
Version: 4.1.7
Platform: Other Linux
: NOR normal
Target Milestone: ---
Assignee: Krita Bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-12-30 15:28 UTC by jmf
Modified: 2019-01-06 09:58 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description jmf 2018-12-30 15:28:51 UTC
When Krita is killed in canvas-only mode, the Krita UI will be broken at the next startup, showing no toolbars and dropdown menus for that session. This pseudo-canvas-mode can not be left.

I suspect that not only killing Krita but also crashes could lead to that kind of bug.

STEPS TO REPRODUCE
1. Start Krita, create a new file or open one
2. Kill Krita by using xkill or "killall krita". (Closing normally doesn't cause this bug)
3. Start Krita again

OBSERVED RESULT
The dropdown menu and toolbars are missing.
Opening an image and pressing Tab doesn't end this canvas-only-like mode.

EXPECTED RESULT
Krita should revert to a working UI state with the dropdowns visible after being killed.

SOFTWARE/OS VERSIONS
Linux 4.18.8
KDE Frameworks Version: 5.52.0
Qt Version: 5.11.2
Comment 1 Ahab Greybeard 2018-12-31 19:00:36 UTC
When I do this with the 4.1.7 appimage and the Dec 30th appimage on Debian 9, I get the 'pseudo-canvas-mode' but all dropdown menus and toolbar items are present and working and I can recover the dockers by using the Workspace selector.

However, after Quit and restart, it's back to 'pseudo-canvas-mode'.

A restoration of a previous backup of the kiritarc file gives full recovery.
Comment 2 Halla Rempt 2019-01-06 09:58:28 UTC
Git commit 6970bfcad9bf540b3dc34199b2bbe629672d5be3 by Boudewijn Rempt.
Committed on 06/01/2019 at 09:58.
Pushed by rempt into branch 'master'.

Restore the ui after crashing in canvasonly mode

M  +14   -0    libs/ui/KisMainWindow.cpp
M  +4    -5    libs/ui/KisViewManager.cpp
M  +2    -0    libs/ui/widgets/kis_workspace_chooser.cpp

https://commits.kde.org/krita/6970bfcad9bf540b3dc34199b2bbe629672d5be3